For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
            • GETList Abandoned Cart Email Templates
            • POSTCreate Abandoned Cart Email Template
            • GETGet Email Template
            • PUTUpdate Email Template
            • DELDelete Email Template
            • GETGet Default Email Template
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentAbandoned Cart Emails

List Abandoned Cart Email Templates

GET
https://api.bigcommerce.com/stores/:store_hash/v3/marketing/abandoned-cart-emails
GET
/stores/:store_hash/v3/marketing/abandoned-cart-emails
$curl https://api.bigcommerce.com/stores/store_hash/v3/marketing/abandoned-cart-emails \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200List of abandoned cart templates
1{
2 "data": [
3 {
4 "id": 1,
5 "notify_at_minutes": 60,
6 "coupon_code": "FF11-22X4",
7 "template": {
8 "subject": "Complete your purchase at {{ store.name }}",
9 "body": "Complete your purchase <a href=\"{{ notification.checkout_link }}\">{{notification.checkout.link}}",
10 "translations": [
11 {
12 "locale": "en",
13 "keys": {
14 "hello_phrase": "Welcome back,"
15 }
16 }
17 ]
18 }
19 }
20 ],
21 "meta": {}
22}
An array of abandoned cart emails pertaining to a store.
Was this page helpful?
Previous

Abandoned Cart Emails

Next

Create Abandoned Cart Email Template

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsread-onlystore_v2_information_read_only
Information & Settingsmodifystore_v2_information

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-level data.

Response

OK
datalist of objects
metaobject
Response metadata.